<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.40.0.34.11.4
Name: Laborbefund
Description: Template Spezieller Implementierungsleitfaden ELGA Laborbefund
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.40.0.34.11.4-2013-07-01T000000">
   <title>Laborbefund</title>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']
Item: (Laborbefund)
-->

   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']"
         id="tmp-r-58844bb3-f6bf-49d1-be99-f5f608fbf5b9">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140514T231424/tmp-1.2.40.0.34.11.4-2013-07-01T000000.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.4'])&gt;=1 ">(Laborbefund): Element hl7:templateId[@root='1.2.40.0.34.11.4'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140514T231424/tmp-1.2.40.0.34.11.4-2013-07-01T000000.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.4'])&lt;=1">(Laborbefund): Element hl7:templateId[@root='1.2.40.0.34.11.4'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140514T231424/tmp-1.2.40.0.34.11.4-2013-07-01T000000.html"
              test="count(hl7:code[(@code='11502-2' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='11502-2' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(Laborbefund): Element hl7:code[(@code='11502-2' and @codeSystem='2.16.840.1.113883.6.1')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140514T231424/tmp-1.2.40.0.34.11.4-2013-07-01T000000.html"
              test="count(hl7:code[(@code='11502-2' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Laborbefund): Element hl7:code[(@code='11502-2' and @codeSystem='2.16.840.1.113883.6.1')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140514T231424/tmp-1.2.40.0.34.11.4-2013-07-01T000000.html"
              test="count(hl7:title)&gt;=1 and not(hl7:title/@nullFlavor)">(Laborbefund): Element hl7:title ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140514T231424/tmp-1.2.40.0.34.11.4-2013-07-01T000000.html"
              test="count(hl7:title)&lt;=1">(Laborbefund): Element hl7:title kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140514T231424/tmp-1.2.40.0.34.11.4-2013-07-01T000000.html"
              test="count(hl7:legalAuthenticator[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.5']])&gt;=1 ">(Laborbefund): Element hl7:legalAuthenticator[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.5']] ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140514T231424/tmp-1.2.40.0.34.11.4-2013-07-01T000000.html"
              test="count(hl7:legalAuthenticator[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.5']])&lt;=1">(Laborbefund): Element hl7:legalAuthenticator[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.5']] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140514T231424/tmp-1.2.40.0.34.11.4-2013-07-01T000000.html"
              test="count(hl7:participant[@typeCode='REF'])&gt;=1 and not(hl7:participant[@typeCode='REF']/@nullFlavor)">(Laborbefund): Element hl7:participant[@typeCode='REF'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140514T231424/tmp-1.2.40.0.34.11.4-2013-07-01T000000.html"
              test="count(hl7:participant[@typeCode='REF'])&lt;=1">(Laborbefund): Element hl7:participant[@typeCode='REF'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140514T231424/tmp-1.2.40.0.34.11.4-2013-07-01T000000.html"
              test="count(hl7:documentationOf[hl7:serviceEvent[hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.40.0.34.10.22-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-1.2.40.0.34.10.22-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]]])&gt;=1 and not(hl7:documentationOf[hl7:serviceEvent[hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.40.0.34.10.22-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-1.2.40.0.34.10.22-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]]]/@nullFlavor)">(Laborbefund): Element hl7:documentationOf[hl7:serviceEvent[hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.40.0.34.10.22-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-1.2.40.0.34.10.22-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]]] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140514T231424/tmp-1.2.40.0.34.11.4-2013-07-01T000000.html"
              test="count(hl7:componentOf)=0">(Laborbefund): Element hl7:componentOf DARF NICHT vorkommen.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:templateId[@root='1.2.40.0.34.11.4']
Item: (Laborbefund)
-->

   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:templateId[@root='1.2.40.0.34.11.4']"
         id="tmp-r-6f7ad970-5861-45a1-b382-6a27041ccbcb">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140514T231424/tmp-1.2.40.0.34.11.4-2013-07-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Laborbefund): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140514T231424/tmp-1.2.40.0.34.11.4-2013-07-01T000000.html"
              test="string(@root)='1.2.40.0.34.11.4'">(Laborbefund): @root MUSS den Wert '1.2.40.0.34.11.4' haben.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:code[(@code='11502-2' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Laborbefund)
-->

   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:code[(@code='11502-2' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-77bcb227-e0b6-4d16-a63f-3309b2965975">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140514T231424/tmp-1.2.40.0.34.11.4-2013-07-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Laborbefund): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140514T231424/tmp-1.2.40.0.34.11.4-2013-07-01T000000.html"
              test="@nullFlavor or (@code='11502-2' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='LABORATORY REPORT.TOTAL')">(Laborbefund): Der Elementinhalt MUSS sein code '11502-2' codeSystem '2.16.840.1.113883.6.1' displayName='LABORATORY REPORT.TOTAL'.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:title
Item: (Laborbefund)
-->

   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:title"
         id="tmp-r-89b8b50f-261b-40cb-a72c-bd763ca7bb72">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140514T231424/tmp-1.2.40.0.34.11.4-2013-07-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Laborbefund): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ST" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:informationRecipient[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.4']]
Item: (Laborbefund)
-->

   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:informationRecipient[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.4']]"
         id="tmp-r-f528e6d1-4abe-40ae-a4cd-e9ea98fad638">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140514T231424/tmp-1.2.40.0.34.11.4-2013-07-01T000000.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.4'])&gt;=1 ">(Laborbefund): Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.4'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140514T231424/tmp-1.2.40.0.34.11.4-2013-07-01T000000.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.4'])&lt;=1">(Laborbefund): Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.4'] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:informationRecipient[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.4']]/hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.4']
Item: (Laborbefund)
-->

   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:informationRecipient[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.4']]/hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.4']"
         id="tmp-r-fc0ba271-5cf7-40ca-ad19-f700a42a812a">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140514T231424/tmp-1.2.40.0.34.11.4-2013-07-01T000000.html"
              test="string(@root)='1.3.6.1.4.1.19376.1.3.3.1.4'">(Laborbefund): @root MUSS den Wert '1.3.6.1.4.1.19376.1.3.3.1.4' haben.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:authenticator[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.5']]
Item: (Laborbefund)
-->

   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:authenticator[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.5']]"
         id="tmp-r-f9f44604-428c-44d3-9a53-ce86cf17c667">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140514T231424/tmp-1.2.40.0.34.11.4-2013-07-01T000000.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.5'])&gt;=1 ">(Laborbefund): Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.5'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140514T231424/tmp-1.2.40.0.34.11.4-2013-07-01T000000.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.5'])&lt;=1">(Laborbefund): Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.5'] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:authenticator[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.5']]/hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.5']
Item: (Laborbefund)
-->

   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:authenticator[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.5']]/hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.5']"
         id="tmp-r-d4845cb1-7c69-44c3-ad3b-5b96ab614da8">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140514T231424/tmp-1.2.40.0.34.11.4-2013-07-01T000000.html"
              test="string(@root)='1.3.6.1.4.1.19376.1.3.3.1.5'">(Laborbefund): @root MUSS den Wert '1.3.6.1.4.1.19376.1.3.3.1.5' haben.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:legalAuthenticator[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.5']]
Item: (Laborbefund)
-->

   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:legalAuthenticator[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.5']]"
         id="tmp-r-64f55ab5-595d-4b57-bf17-04d21e081793">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140514T231424/tmp-1.2.40.0.34.11.4-2013-07-01T000000.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.5'])&gt;=1 ">(Laborbefund): Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.5'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140514T231424/tmp-1.2.40.0.34.11.4-2013-07-01T000000.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.5'])&lt;=1">(Laborbefund): Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.5'] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:legalAuthenticator[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.5']]/hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.5']
Item: (Laborbefund)
-->

   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:legalAuthenticator[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.5']]/hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.5']"
         id="tmp-r-bf40d4ce-3f43-468b-b36b-cc0639a9ec10">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140514T231424/tmp-1.2.40.0.34.11.4-2013-07-01T000000.html"
              test="string(@root)='1.3.6.1.4.1.19376.1.3.3.1.5'">(Laborbefund): @root MUSS den Wert '1.3.6.1.4.1.19376.1.3.3.1.5' haben.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:participant[@typeCode='REF']
Item: (Laborbefund)
-->

   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:participant[@typeCode='REF']"
         id="tmp-r-04467008-6a24-4bd9-98ad-dc3266f5ce51">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140514T231424/tmp-1.2.40.0.34.11.4-2013-07-01T000000.html"
              test="string(@typeCode)='REF'">(Laborbefund): Der Wert von @typeCode MUSS 'REF' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140514T231424/tmp-1.2.40.0.34.11.4-2013-07-01T000000.html"
              test="count(hl7:time)&gt;=1 ">(Laborbefund): Element hl7:time ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140514T231424/tmp-1.2.40.0.34.11.4-2013-07-01T000000.html"
              test="count(hl7:time)&lt;=1">(Laborbefund): Element hl7:time kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140514T231424/tmp-1.2.40.0.34.11.4-2013-07-01T000000.html"
              test="count(hl7:associatedEntity)&gt;=1 and not(hl7:associatedEntity/@nullFlavor)">(Laborbefund): Element hl7:associatedEntity ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140514T231424/tmp-1.2.40.0.34.11.4-2013-07-01T000000.html"
              test="count(hl7:associatedEntity)&lt;=1">(Laborbefund): Element hl7:associatedEntity kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:participant[@typeCode='REF']/hl7:time
Item: (Laborbefund)
-->

   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:participant[@typeCode='REF']/hl7:time"
         id="tmp-r-24826855-a457-4b68-9559-ccdb05b848a2">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140514T231424/tmp-1.2.40.0.34.11.4-2013-07-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Laborbefund): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:IVL_TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:participant[@typeCode='REF']/hl7:associatedEntity
Item: (Laborbefund)
-->

   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:participant[@typeCode='REF']/hl7:associatedEntity"
         id="tmp-r-44f62542-f634-4106-a01f-b84058c5003a">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140514T231424/tmp-1.2.40.0.34.11.4-2013-07-01T000000.html"
              test="string(@classCode)='PROV'">(Laborbefund): Der Wert von @classCode MUSS 'PROV' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140514T231424/tmp-1.2.40.0.34.11.4-2013-07-01T000000.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.6'])&lt;=1">(Laborbefund): Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.6'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140514T231424/tmp-1.2.40.0.34.11.4-2013-07-01T000000.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(Laborbefund): Element hl7:id ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140514T231424/tmp-1.2.40.0.34.11.4-2013-07-01T000000.html"
              test="count(hl7:id)&lt;=1">(Laborbefund): Element hl7:id kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140514T231424/tmp-1.2.40.0.34.11.4-2013-07-01T000000.html"
              test="count(hl7:addr)&gt;=1 ">(Laborbefund): Element hl7:addr ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140514T231424/tmp-1.2.40.0.34.11.4-2013-07-01T000000.html"
              test="count(hl7:addr)&lt;=1">(Laborbefund): Element hl7:addr kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140514T231424/tmp-1.2.40.0.34.11.4-2013-07-01T000000.html"
              test="count(hl7:telecom)&gt;=1 and not(hl7:telecom/@nullFlavor)">(Laborbefund): Element hl7:telecom ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140514T231424/tmp-1.2.40.0.34.11.4-2013-07-01T000000.html"
              test="count(hl7:associatedPerson)&gt;=1 and not(hl7:associatedPerson/@nullFlavor)">(Laborbefund): Element hl7:associatedPerson ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140514T231424/tmp-1.2.40.0.34.11.4-2013-07-01T000000.html"
              test="count(hl7:associatedPerson)&lt;=1">(Laborbefund): Element hl7:associatedPerson kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140514T231424/tmp-1.2.40.0.34.11.4-2013-07-01T000000.html"
              test="count(hl7:scopingOrganization)&lt;=1">(Laborbefund): Element hl7:scopingOrganization kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:participant[@typeCode='REF']/hl7:associatedEntity/hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.6']
Item: (Laborbefund)
-->

   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:participant[@typeCode='REF']/hl7:associatedEntity/hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.6']"
         id="tmp-r-9109f1f7-bcb1-44a8-ac46-ad3d941664dc">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140514T231424/tmp-1.2.40.0.34.11.4-2013-07-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Laborbefund): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140514T231424/tmp-1.2.40.0.34.11.4-2013-07-01T000000.html"
              test="string(@root)='1.3.6.1.4.1.19376.1.3.3.1.6'">(Laborbefund): @root MUSS den Wert '1.3.6.1.4.1.19376.1.3.3.1.6' haben.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:participant[@typeCode='REF']/hl7:associatedEntity/hl7:id
Item: (Laborbefund)
-->

   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:participant[@typeCode='REF']/hl7:associatedEntity/hl7:id"
         id="tmp-r-bd7ca944-84d2-4f66-ac2f-ca717ff5afdb">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140514T231424/tmp-1.2.40.0.34.11.4-2013-07-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Laborbefund): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:participant[@typeCode='REF']/hl7:associatedEntity/hl7:addr
Item: (Laborbefund)
-->

   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:participant[@typeCode='REF']/hl7:associatedEntity/hl7:addr"
         id="tmp-r-2ad2fa7f-3c71-448b-9f00-c5c879bb4071">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140514T231424/tmp-1.2.40.0.34.11.4-2013-07-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Laborbefund): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:AD" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:participant[@typeCode='REF']/hl7:associatedEntity/hl7:telecom
Item: (Laborbefund)
-->

   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:participant[@typeCode='REF']/hl7:associatedEntity/hl7:telecom"
         id="tmp-r-f84effd4-6e78-41a6-8cca-b9cc170e92b1">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140514T231424/tmp-1.2.40.0.34.11.4-2013-07-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Laborbefund): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TEL" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL.AT"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:participant[@typeCode='REF']/hl7:associatedEntity/hl7:associatedPerson
Item: (Laborbefund)
-->

   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:participant[@typeCode='REF']/hl7:associatedEntity/hl7:associatedPerson"
         id="tmp-r-a5c0ed6b-72c8-44e4-b8da-744bcc8d7f77">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140514T231424/tmp-1.2.40.0.34.11.4-2013-07-01T000000.html"
              test="string(@classCode)='PSN' or not(@classCode)">(Laborbefund): Der Wert von @classCode MUSS 'PSN' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140514T231424/tmp-1.2.40.0.34.11.4-2013-07-01T000000.html"
              test="string(@determinerCode)='INSTANCE' or not(@determinerCode)">(Laborbefund): Der Wert von @determinerCode MUSS 'INSTANCE' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140514T231424/tmp-1.2.40.0.34.11.4-2013-07-01T000000.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(Laborbefund): Element hl7:name ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140514T231424/tmp-1.2.40.0.34.11.4-2013-07-01T000000.html"
              test="count(hl7:name)&lt;=1">(Laborbefund): Element hl7:name kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.90001
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:participant[@typeCode='REF']/hl7:associatedEntity/hl7:associatedPerson/hl7:name
Item: (PersonElements)
-->

   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:participant[@typeCode='REF']/hl7:associatedEntity/hl7:associatedPerson/hl7:name"
         id="tmp-r-4a07ffc3-173e-4025-83eb-711142e48c94">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140514T231424/tmp-1.2.40.0.34.11.90001-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PersonElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:PN" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PN"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:participant[@typeCode='REF']/hl7:associatedEntity/hl7:scopingOrganization
Item: (Laborbefund)
-->

   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:participant[@typeCode='REF']/hl7:associatedEntity/hl7:scopingOrganization"
         id="tmp-r-5d483570-d634-4468-ada6-1e427e6aab97">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140514T231424/tmp-1.2.40.0.34.11.4-2013-07-01T000000.html"
              test="string(@classCode)='ORG' or not(@classCode)">(Laborbefund): Der Wert von @classCode MUSS 'ORG' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140514T231424/tmp-1.2.40.0.34.11.4-2013-07-01T000000.html"
              test="string(@determinerCode)='INSTANCE' or not(@determinerCode)">(Laborbefund): Der Wert von @determinerCode MUSS 'INSTANCE' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140514T231424/tmp-1.2.40.0.34.11.4-2013-07-01T000000.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(Laborbefund): Element hl7:name ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140514T231424/tmp-1.2.40.0.34.11.4-2013-07-01T000000.html"
              test="count(hl7:name)&lt;=1">(Laborbefund): Element hl7:name kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140514T231424/tmp-1.2.40.0.34.11.4-2013-07-01T000000.html"
              test="count(hl7:addr)&lt;=1">(Laborbefund): Element hl7:addr kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.90002
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:participant[@typeCode='REF']/hl7:associatedEntity/hl7:scopingOrganization/hl7:id
Item: (OrganizationElements)
-->

   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:participant[@typeCode='REF']/hl7:associatedEntity/hl7:scopingOrganization/hl7:id"
         id="tmp-r-3a2ebd5b-0595-4d7c-9fab-112a5253f25c">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140514T231424/tmp-1.2.40.0.34.11.90002-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OrganizationElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.90002
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:participant[@typeCode='REF']/hl7:associatedEntity/hl7:scopingOrganization/hl7:name
Item: (OrganizationElements)
-->

   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:participant[@typeCode='REF']/hl7:associatedEntity/hl7:scopingOrganization/hl7:name"
         id="tmp-r-f5387ba9-a86a-413b-a623-9b2f8f99ad28">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140514T231424/tmp-1.2.40.0.34.11.90002-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ON' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OrganizationElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ON" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ON"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.90002
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:participant[@typeCode='REF']/hl7:associatedEntity/hl7:scopingOrganization/hl7:telecom
Item: (OrganizationElements)
-->

   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:participant[@typeCode='REF']/hl7:associatedEntity/hl7:scopingOrganization/hl7:telecom"
         id="tmp-r-2123d807-7b77-4a45-8063-eb51c8c79cd6">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140514T231424/tmp-1.2.40.0.34.11.90002-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OrganizationElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TEL" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL.AT"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.90002
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:participant[@typeCode='REF']/hl7:associatedEntity/hl7:scopingOrganization/hl7:addr
Item: (OrganizationElements)
-->

   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:participant[@typeCode='REF']/hl7:associatedEntity/hl7:scopingOrganization/hl7:addr"
         id="tmp-r-90db9a57-209c-48f2-8a8d-c8e537777e8b">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140514T231424/tmp-1.2.40.0.34.11.90002-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OrganizationElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:AD" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:documentationOf[hl7:serviceEvent[hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.40.0.34.10.22-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-1.2.40.0.34.10.22-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]]]
Item: (Laborbefund)
-->

   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:documentationOf[hl7:serviceEvent[hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.40.0.34.10.22-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-1.2.40.0.34.10.22-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]]]"
         id="tmp-r-0603cf7a-7f26-43d9-8161-b32aaaed1e89">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140514T231424/tmp-1.2.40.0.34.11.4-2013-07-01T000000.html"
              test="count(hl7:serviceEvent[hl7:performer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.7']]])&gt;=1 and not(hl7:serviceEvent[hl7:performer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.7']]]/@nullFlavor)">(Laborbefund): Element hl7:serviceEvent[hl7:performer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.7']]] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140514T231424/tmp-1.2.40.0.34.11.4-2013-07-01T000000.html"
              test="count(hl7:serviceEvent[hl7:performer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.7']]])&lt;=1">(Laborbefund): Element hl7:serviceEvent[hl7:performer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.7']]] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:documentationOf[hl7:serviceEvent[hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.40.0.34.10.22-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-1.2.40.0.34.10.22-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]]]/hl7:serviceEvent[hl7:performer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.7']]]
Item: (Laborbefund)
-->

   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:documentationOf[hl7:serviceEvent[hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.40.0.34.10.22-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-1.2.40.0.34.10.22-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]]]/hl7:serviceEvent[hl7:performer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.7']]]"
         id="tmp-r-0406ad23-12db-424e-af3a-26dc150b41ae">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140514T231424/tmp-1.2.40.0.34.11.4-2013-07-01T000000.html"
              test="count(hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.40.0.34.10.22-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-1.2.40.0.34.10.22-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor])&gt;=1 ">(Laborbefund): Element hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.40.0.34.10.22-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-1.2.40.0.34.10.22-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor] ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140514T231424/tmp-1.2.40.0.34.11.4-2013-07-01T000000.html"
              test="count(hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.40.0.34.10.22-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-1.2.40.0.34.10.22-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor])&lt;=1">(Laborbefund): Element hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.40.0.34.10.22-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-1.2.40.0.34.10.22-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140514T231424/tmp-1.2.40.0.34.11.4-2013-07-01T000000.html"
              test="count(hl7:effectiveTime)&gt;=1 and not(hl7:effectiveTime/@nullFlavor)">(Laborbefund): Element hl7:effectiveTime ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140514T231424/tmp-1.2.40.0.34.11.4-2013-07-01T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(Laborbefund): Element hl7:effectiveTime kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:documentationOf[hl7:serviceEvent[hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.40.0.34.10.22-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-1.2.40.0.34.10.22-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]]]/hl7:serviceEvent[hl7:performer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.7']]]/hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.40.0.34.10.22-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-1.2.40.0.34.10.22-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]
Item: (Laborbefund)
-->

   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:documentationOf[hl7:serviceEvent[hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.40.0.34.10.22-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-1.2.40.0.34.10.22-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]]]/hl7:serviceEvent[hl7:performer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.7']]]/hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.40.0.34.10.22-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-1.2.40.0.34.10.22-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]"
         id="tmp-r-8abcf5e2-4470-49c1-b752-af674f143d58">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140514T231424/tmp-1.2.40.0.34.11.4-2013-07-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Laborbefund): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140514T231424/tmp-1.2.40.0.34.11.4-2013-07-01T000000.html"
              test="@nullFlavor or exists(doc('include/voc-1.2.40.0.34.10.22-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(Laborbefund): Der Elementinhalt MUSS sein ELGA_ServiceEventsLabor (DYNAMIC).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-1.2.40.0.34.10.22-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140514T231424/tmp-1.2.40.0.34.11.4-2013-07-01T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(Laborbefund): Der fehlende Wert für @code MUSS gewählt werden aus dem Set gültiger null flavors für dieses Attribut oder denen assoziiert mit Value Set ELGA_ServiceEventsLabor (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:documentationOf[hl7:serviceEvent[hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.40.0.34.10.22-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-1.2.40.0.34.10.22-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]]]/hl7:serviceEvent[hl7:performer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.7']]]/hl7:effectiveTime
Item: (Laborbefund)
-->

   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:documentationOf[hl7:serviceEvent[hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.40.0.34.10.22-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-1.2.40.0.34.10.22-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]]]/hl7:serviceEvent[hl7:performer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.7']]]/hl7:effectiveTime"
         id="tmp-r-55d5b63c-9fb9-4e38-b733-bc323e55a81c">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140514T231424/tmp-1.2.40.0.34.11.4-2013-07-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Laborbefund): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:IVL_TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140514T231424/tmp-1.2.40.0.34.11.4-2013-07-01T000000.html"
              test="count(hl7:low)&gt;=1 and not(hl7:low/@nullFlavor)">(Laborbefund): Element hl7:low ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140514T231424/tmp-1.2.40.0.34.11.4-2013-07-01T000000.html"
              test="count(hl7:low)&lt;=1">(Laborbefund): Element hl7:low kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140514T231424/tmp-1.2.40.0.34.11.4-2013-07-01T000000.html"
              test="count(hl7:high)&gt;=1 and not(hl7:high/@nullFlavor)">(Laborbefund): Element hl7:high ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140514T231424/tmp-1.2.40.0.34.11.4-2013-07-01T000000.html"
              test="count(hl7:high)&lt;=1">(Laborbefund): Element hl7:high kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:documentationOf[hl7:serviceEvent[hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.40.0.34.10.22-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-1.2.40.0.34.10.22-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]]]/hl7:serviceEvent[hl7:performer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.7']]]/hl7:effectiveTime/hl7:low
Item: (Laborbefund)
-->

   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:documentationOf[hl7:serviceEvent[hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.40.0.34.10.22-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-1.2.40.0.34.10.22-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]]]/hl7:serviceEvent[hl7:performer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.7']]]/hl7:effectiveTime/hl7:low"
         id="tmp-r-f60d1ca5-5baf-4d84-97f9-e3a647f08277">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140514T231424/tmp-1.2.40.0.34.11.4-2013-07-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Laborbefund): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS.DATE.MIN"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:documentationOf[hl7:serviceEvent[hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.40.0.34.10.22-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-1.2.40.0.34.10.22-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]]]/hl7:serviceEvent[hl7:performer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.7']]]/hl7:effectiveTime/hl7:high
Item: (Laborbefund)
-->

   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:documentationOf[hl7:serviceEvent[hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.40.0.34.10.22-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-1.2.40.0.34.10.22-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]]]/hl7:serviceEvent[hl7:performer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.7']]]/hl7:effectiveTime/hl7:high"
         id="tmp-r-78456eaf-fc63-47ba-8ebb-74f7ec2027d2">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140514T231424/tmp-1.2.40.0.34.11.4-2013-07-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Laborbefund): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS.DATE.MIN"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:documentationOf[hl7:serviceEvent[hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.40.0.34.10.22-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-1.2.40.0.34.10.22-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]]]/hl7:serviceEvent[hl7:performer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.7']]]/hl7:performer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.7']]
Item: (Laborbefund)
-->

   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:documentationOf[hl7:serviceEvent[hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.40.0.34.10.22-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-1.2.40.0.34.10.22-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]]]/hl7:serviceEvent[hl7:performer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.7']]]/hl7:performer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.7']]"
         id="tmp-r-cef03e20-fd09-42b5-a684-3d09e47f3ffe">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140514T231424/tmp-1.2.40.0.34.11.4-2013-07-01T000000.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.7'])&gt;=1 and not(hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.7']/@nullFlavor)">(Laborbefund): Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.7'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140514T231424/tmp-1.2.40.0.34.11.4-2013-07-01T000000.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.7'])&lt;=1">(Laborbefund): Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.7'] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:documentationOf[hl7:serviceEvent[hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.40.0.34.10.22-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-1.2.40.0.34.10.22-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]]]/hl7:serviceEvent[hl7:performer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.7']]]/hl7:performer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.7']]/hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.7']
Item: (Laborbefund)
-->

   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:documentationOf[hl7:serviceEvent[hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.40.0.34.10.22-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-1.2.40.0.34.10.22-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]]]/hl7:serviceEvent[hl7:performer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.7']]]/hl7:performer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.7']]/hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.7']"
         id="tmp-r-9cebddd7-83e3-4cf9-bfbf-ab326611e4e7">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140514T231424/tmp-1.2.40.0.34.11.4-2013-07-01T000000.html"
              test="string(@root)='1.3.6.1.4.1.19376.1.3.3.1.7'">(Laborbefund): @root MUSS den Wert '1.3.6.1.4.1.19376.1.3.3.1.7' haben.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:componentOf
Item: (Laborbefund)
-->
</pattern>
